%global libname Perlbal-XS-HTTPHeaders
%global _use_internal_dependency_generator 0

Name:           perl-%{libname}
Version:        0.20
Release:        6%{?dist}
Summary:        Perlbal extension for processing HTTP headers
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{libname}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DORMANDO/%{libname}-%{version}.tar.gz

BuildRequires:  perl(Perlbal) perl(Test::More) perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is used to read HTTP headers from a string and to parse them
into an internal storage format for easy access and modification. You can
also ask the module to reconstitute the headers into one big string, useful
if you're writing a proxy and need to read and write headers while
maintaining the ability to modify individual parts of the whole.

%prep
%setup -q -n %{libname}-%{version}
# Work around bug in EU::MM (RT#68613), remove forced CC options
sed -i -e "/CCFLAGS/d" Makefile.PL

# filter unwanted Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__find_provides} $* |\
grep -v HTTPHeaders.so
EOF

%global __find_provides %{_builddir}/%{libname}-%{version}/%{name}-prov
chmod +x %{__find_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Perlbal/XS
%{perl_vendorarch}/Perlbal/XS
%{_mandir}/man3/Perlbal::XS::HTTPHeaders.*

%changelog
* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 0.20-6
- Work-around CCFLAGS bug in EU::MM

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.20-5
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.20-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.20-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.20-1
- Upstream released new version

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.19-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.19-8
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.19-5
- rebuild for new perl (again)

* Sat Feb 16 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.19-4
- Rebuild for gcc 4.3

* Thu Feb  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.19-3
- rebuild for new perl

* Fri Aug 17 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.19-2
- Correct license tag
* Sat May 12 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.19-1
- Initial import

